<?php
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function formulaires_changer_statut_messages_charger_dist($data, $redirect = '') {
	$valeurs = [];

	$data = json_decode($data,true);
	if (empty($data)) {
		$valeurs['error_data'] = 'Il faut avoir sélectionné au moins 1 message';
	}

	return $valeurs;
}

function formulaires_changer_statut_messages_verifier_dist($data, $redirect = '') {
	$erreurs = [];

	$data = json_decode($data, true);
	if (empty($data)) {
		$erreurs['message_erreur'] = "Il faut avoir sélectionné au moins 1 message";
	}
	
	$statut = _request('statut');

	if (!in_array($statut, ['prepa', 'prop', 'publie', 'poubelle'])) {
		$erreurs['message_erreur'] = "Le statut envoyé n'est pas valide";
	}

	return $erreurs;
}

function formulaires_changer_statut_messages_traiter_dist($data, $redirect = '') {
	$statut = _request('statut');
	$data = json_decode($data,true);

	$sql_in = sql_in('id_message', $data);
	sql_updateq('spip_messages', ['statut' => $statut], $sql_in);

	// Cache
	include_spip('inc/invalideur');
	suivre_invalideur("id='messages/$data[0]");

	$retour = [];
	$retour['redirect']   = "";
	$retour['message_ok'] = gamutable_fermer_modalbox();

	return $retour;
}
